<%
'#################################################################################
'## Copyright (C) 2000-01 Michael Anderson and Pierre Gorissen
'## 
'## This program is free software; you can redistribute it and/or
'## modify it under the terms of the GNU General Public License
'## as published by the Free Software Foundation; either version 2
'## of the License, or any later version.
'##
'## All copyright notices regarding Snitz Forums 2000
'## must remain intact in the scripts and in the outputted HTML
'## The "powered by" text/logo with a link back to 
'## http://forum.snitz.com in the footer of the pages MUST
'## remain visible when the pages are viewed on the internet or intranet.
'## 
'## This program is distributed in the hope that it will be useful,
'## but WITHOUT ANY WARRANTY; without even the implied warranty of
'## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
'## GNU General Public License for more details.
'## 
'## You should have received a copy of the GNU General Public License
'## along with this program; if not, write to the Free Software
'## Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
'## 
'## Support can be obtained from support forums at:
'## http://forum.snitz.com 
'##
'## Correspondence and Marketing Questions can be sent to:
'## reinhold@bigfoot.com
'## 
'## or
'## 
'## Snitz Communications 
'## C/O: Michael Anderson
'## PO Box 200
'## Harpswell, ME 04079
'#################################################################################

on error resume next
	
strSql = "DROP TABLE IF EXISTS " & strTablePrefix & "CATEGORY "

my_Conn.Execute strSql
ChkDBInstall()

strSql = "CREATE TABLE " & strTablePrefix & "CATEGORY ( "
strSql = strSql & "CAT_ID INT (11) DEFAULT '' NOT NULL auto_increment, "
strSql = strSql & "CAT_STATUS SMALLINT (6) DEFAULT '1' NOT NULL , "
strSql = strSql & "CAT_NAME VARCHAR (100),  "
strSql = strSql & "CAT_MODERATION int (11) DEFAULT '0', "
strSql = strSql & "CAT_SUBSCRIPTION int (11) DEFAULT '0', "
strSql = strSql & "CAT_ORDER int (11) DEFAULT '1', "
strSql = strSql & "PRIMARY KEY (CAT_ID), "
strSql = strSql & "KEY " & strTablePrefix & "CATEGORY_CAT_ID(CAT_ID), "
strSql = strSql & "KEY " & strTablePrefix & "CATEGORY_CAT_STATUS (CAT_STATUS) )"

my_Conn.Execute strSql
ChkDBInstall()

strSql = "DROP TABLE IF EXISTS " & strTablePrefix & "CONFIG "

my_Conn.Execute strSql
ChkDBInstall()

strSql = "DROP TABLE IF EXISTS " & strTablePrefix & "CONFIG_NEW "

my_Conn.Execute strSql
ChkDBInstall()

strSql = "CREATE TABLE " & strTablePrefix & "CONFIG_NEW ( "
strSql = strSql & "ID int (11) DEFAULT '' NOT NULL auto_increment, "
strSql = strSql & "C_VARIABLE VARCHAR (255) , "
strSql = strSql & "C_VALUE VARCHAR (255),  "
strSql = strSql & "PRIMARY KEY (ID)) "

my_Conn.Execute strSql
'ChkDBInstall()

strSql = "DROP TABLE IF EXISTS " & strTablePrefix & "FORUM "

my_Conn.Execute strSql
ChkDBInstall()

strSql = "CREATE TABLE " & strTablePrefix & "FORUM ( "
strSql = strSql & "CAT_ID int (11) DEFAULT '1' NOT NULL , "
strSql = strSql & "FORUM_ID smallint (6) DEFAULT '0' NOT NULL auto_increment, "
strSql = strSql & "F_STATUS smallint (6) DEFAULT '1', "
strSql = strSql & "F_MAIL smallint (6) DEFAULT '1' , "
strSql = strSql & "F_SUBJECT VARCHAR (100) DEFAULT ' ' , "
strSql = strSql & "F_URL VARCHAR (255) DEFAULT ' ' , "
strSql = strSql & "F_DESCRIPTION VARCHAR (255) DEFAULT ' ' , "
strSql = strSql & "F_TOPICS int (11) DEFAULT '0' , "
strSql = strSql & "F_COUNT int (11) DEFAULT '0' , "
strSql = strSql & "F_LAST_POST VARCHAR (50) DEFAULT ' ' , "
strSql = strSql & "F_PASSWORD_NEW VARCHAR (255) DEFAULT ' ' , "
strSql = strSql & "F_USERLIST VARCHAR (255) DEFAULT ' ' , "
strSql = strSql & "F_PRIVATEFORUMS int (11) DEFAULT '0' , "
strSql = strSql & "F_TYPE smallint (6) DEFAULT '0' , "
strSql = strSql & "F_IP VARCHAR (50) DEFAULT '000.000.000.000' ,  "
strSql = strSql & "F_LAST_POST_AUTHOR int (11) DEFAULT '1' ,  "
strSql = strSql & "F_MODERATION int (11) DEFAULT '0', "
strSql = strSql & "F_SUBSCRIPTION int (11) DEFAULT '0', "
strSql = strSql & "F_ORDER int (11) DEFAULT '1', "
strSql = strSql & "F_L_ARCHIVE VARCHAR (20) DEFAULT '', "
strSql = strSql & "F_L_ARCHIVE_SCHED int (11) DEFAULT '30', "
strSql = strSql & "F_L_DELETE VARCHAR (20) DEFAULT '', "
strSql = strSql & "F_L_DELETE_SCHED int (11) DEFAULT '365', "
strSql = strSql & "PRIMARY KEY (CAT_ID, FORUM_ID), "
strSql = strSql & "KEY " & strTablePrefix & "FORUM_FORUM_ID(FORUM_ID), "
strSql = strSql & "KEY " & strTablePrefix & "FORUM_CAT_ID(CAT_ID)) "


my_Conn.Execute strSql
ChkDBInstall()

strSql = "DROP TABLE IF EXISTS " & strMemberTablePrefix & "MEMBERS "

my_Conn.Execute strSql
ChkDBInstall()

strSql = "CREATE TABLE " & strMemberTablePrefix & "MEMBERS ( "
strSql = strSql & "MEMBER_ID int (11) DEFAULT '' NOT NULL AUTO_INCREMENT, "
strSql = strSql & "M_STATUS smallint (6) DEFAULT '0' , "
strSql = strSql & "M_NAME VARCHAR (75) DEFAULT '' , "
strSql = strSql & "M_USERNAME VARCHAR (150) DEFAULT '' , "
strSql = strSql & "M_PASSWORD VARCHAR (25) DEFAULT '' , "
strSql = strSql & "M_EMAIL VARCHAR (50) DEFAULT '' , "
strSql = strSql & "M_COUNTRY VARCHAR (20) DEFAULT '' , "
strSql = strSql & "M_HOMEPAGE VARCHAR (50) DEFAULT '' , "
strSql = strSql & "M_SIG VARCHAR (255) DEFAULT '' , "
strSql = strSql & "M_DEFAULT_VIEW int (11)  DEFAULT '1' , "
strSql = strSql & "M_LEVEL smallint (6)  DEFAULT '1' , "
strSql = strSql & "M_AIM VARCHAR (150)  DEFAULT '' , "
strSql = strSql & "M_YAHOO VARCHAR (150)  DEFAULT '' , "
strSql = strSql & "M_ICQ VARCHAR (150)  DEFAULT '' , "
strSql = strSql & "M_POSTS int (11)  DEFAULT '0' , "
strSql = strSql & "M_DATE VARCHAR (50)  DEFAULT '' , "
strSql = strSql & "M_LASTHEREDATE VARCHAR (50)  DEFAULT '' , "
strSql = strSql & "M_LASTPOSTDATE VARCHAR (50)  DEFAULT '' , "
strSql = strSql & "M_TITLE VARCHAR (50)  DEFAULT '' , "
strSql = strSql & "M_SUBSCRIPTION smallint (6)  DEFAULT '0' , "
strSql = strSql & "M_HIDE_EMAIL smallint (6) DEFAULT '0' , "
strSql = strSql & "M_RECEIVE_EMAIL smallint (6)  DEFAULT '0' , "
strSql = strSql & "M_LAST_IP VARCHAR (50)  DEFAULT '000.000.000.000' , "
strSql = strSql & "M_IP VARCHAR (50)  DEFAULT '000.000.000.000' , "
strSql = strSql & "M_FIRSTNAME VARCHAR (100) DEFAULT '' , "
strSql = strSql & "M_LASTNAME VARCHAR (100) DEFAULT '' , "
strSql = strSql & "M_OCCUPATION VARCHAR (255) DEFAULT '' , "
strSql = strSql & "M_SEX VARCHAR (50) DEFAULT '' , "
strSql = strSql & "M_AGE VARCHAR (10) DEFAULT '' , "
strSql = strSql & "M_HOBBIES TEXT , "
strSql = strSql & "M_LNEWS TEXT , "
strSql = strSql & "M_QUOTE TEXT , "
strSql = strSql & "M_BIO TEXT , "
strSql = strSql & "M_MARSTATUS VARCHAR (100) DEFAULT '' , "
strSql = strSql & "M_LINK1 VARCHAR (255) DEFAULT '' , "
strSql = strSql & "M_LINK2 VARCHAR (255) DEFAULT '' , "
strSql = strSql & "M_CITY VARCHAR (100) DEFAULT '' , "
strSql = strSql & "M_STATE VARCHAR (100) DEFAULT '' , "
strSql = strSql & "M_PHOTO_URL VARCHAR (255) DEFAULT '', "
strSql = strSql & "PRIMARY KEY (MEMBER_ID), "
strSql = strSql & "KEY " & strMemberTablePrefix & "MEMBERS_MEMBER_ID (MEMBER_ID) ) "

my_Conn.Execute strSql
ChkDBInstall()

strSql = "DROP TABLE IF EXISTS " & strTablePrefix & "MODERATOR "

my_Conn.Execute strSql
ChkDBInstall()

strSql = "CREATE TABLE " & strTablePrefix & "MODERATOR ( "
strSql = strSql & "MOD_ID int (11) DEFAULT '' NOT NULL auto_increment, "
strSql = strSql & "FORUM_ID int (11) DEFAULT '1' , "
strSql = strSql & "MEMBER_ID int (11) DEFAULT '1'  , "
strSql = strSql & "MOD_TYPE smallint (6)  DEFAULT '0', "
strSql = strSql & "PRIMARY KEY (MOD_ID))"
  
my_Conn.Execute strSql
ChkDBInstall()

strSql = "DROP TABLE IF EXISTS " & strTablePrefix & "REPLY "

my_Conn.Execute strSql
ChkDBInstall()

strSql = "CREATE TABLE " & strTablePrefix & "REPLY ( "
strSql = strSql & "CAT_ID int (11) DEFAULT '1' NOT NULL , "
strSql = strSql & "FORUM_ID int (11) DEFAULT '1' NOT NULL , "
strSql = strSql & "TOPIC_ID int (11) DEFAULT '1' NOT NULL , "
strSql = strSql & "REPLY_ID int (11) DEFAULT '' NOT NULL auto_increment, "
strSql = strSql & "R_MAIL smallint (6) DEFAULT '0' , "
strSql = strSql & "R_AUTHOR int (11) DEFAULT '1' , "
strSql = strSql & "R_MESSAGE text , "
strSql = strSql & "R_DATE VARCHAR (50) DEFAULT '' , "
strSql = strSql & "R_IP VARCHAR (50) DEFAULT '000.000.000.000', "
strSql = strSql & "R_STATUS smallint (6) DEFAULT '0', "
strSql = strSql & "PRIMARY KEY (CAT_ID, FORUM_ID, TOPIC_ID, REPLY_ID), "
strSql = strSql & "KEY " & strTablePrefix & "REPLY_CATFORTOPREPL(CAT_ID,FORUM_ID,TOPIC_ID, REPLY_ID), "
strSql = strSql & "KEY " & strTablePrefix & "REPLY_REP_ID(REPLY_ID), "
strSql = strSql & "KEY " & strTablePrefix & "REPLY_CAT_ID(CAT_ID), "
strSql = strSql & "KEY " & strTablePrefix & "REPLY_FORUM_ID(FORUM_ID), "
strSql = strSql & "KEY " & strTablePrefix & "REPLY_TOPIC_ID (TOPIC_ID) )"

my_Conn.Execute strSql
ChkDBInstall()

strSql = "DROP TABLE IF EXISTS " & strTablePrefix & "TOPICS "

my_Conn.Execute strSql
ChkDBInstall()

strSql = "CREATE TABLE " & strTablePrefix & "TOPICS ( "
strSql = strSql & "CAT_ID int (11) DEFAULT '1' NOT NULL , "
strSql = strSql & "FORUM_ID int (11) DEFAULT '1' NOT NULL , "
strSql = strSql & "TOPIC_ID int (11) DEFAULT '' NOT NULL auto_increment, "
strSql = strSql & "T_STATUS smallint (6) DEFAULT '1' , "
strSql = strSql & "T_MAIL smallint (6) DEFAULT '0' , "
strSql = strSql & "T_SUBJECT VARCHAR (100) DEFAULT '' , "
strSql = strSql & "T_MESSAGE text , "
strSql = strSql & "T_AUTHOR int (11) DEFAULT '1' , "
strSql = strSql & "T_REPLIES int (11) DEFAULT '0' , "
strSql = strSql & "T_VIEW_COUNT int (11) DEFAULT '0' , "
strSql = strSql & "T_LAST_POST VARCHAR (50) DEFAULT '' , "
strSql = strSql & "T_DATE VARCHAR (50) DEFAULT '', "
strSql = strSql & "T_LAST_POSTER int (11) DEFAULT '1', "
strSql = strSql & "T_IP VARCHAR (50) DEFAULT '000.000.000.000', " 
strSql = strSql & "T_LAST_POST_AUTHOR int (11) DEFAULT '1',   "
strSql = strSql & "T_ARCHIVE_FLAG int (11) DEFAULT '1',   "
strSql = strSql & "PRIMARY KEY (CAT_ID, FORUM_ID, TOPIC_ID), "
strSql = strSql & "KEY " & strTablePrefix & "TOPIC_CATFORTOP(CAT_ID,FORUM_ID,TOPIC_ID), "
strSql = strSql & "KEY " & strTablePrefix & "TOPIC_CAT_ID(CAT_ID), "
strSql = strSql & "KEY " & strTablePrefix & "TOPIC_FORUM_ID(FORUM_ID), "
strSql = strSql & "KEY " & strTablePrefix & "TOPIC_TOPIC_ID (TOPIC_ID) )"

my_Conn.Execute strSql
ChkDBInstall()

strSql = "DROP TABLE IF EXISTS " & strTablePrefix & "TOTALS "

my_Conn.Execute strSql
ChkDBInstall()

strSql = "CREATE TABLE " & strTablePrefix & "TOTALS ( "
strSql = strSql & "COUNT_ID smallint (6) DEFAULT '' NOT NULL auto_increment, "
strSql = strSql & "P_COUNT int (11) DEFAULT '0' , "
strSql = strSql & "T_COUNT int (11) DEFAULT '0'  , "
strSql = strSql & "U_COUNT int (11) DEFAULT '0' , "
strSql = strSql & "PRIMARY KEY (COUNT_ID), "
strSql = strSql & "KEY " & strTablePrefix & "TOTALS_COUNT_ID (COUNT_ID) ) "

my_Conn.Execute strSql
ChkDBInstall()

strSql = "DROP TABLE IF EXISTS " & strTablePrefix & "ALLOWED_MEMBERS "

my_Conn.Execute strSql
ChkDBInstall()

strSql = "CREATE TABLE " & strTablePrefix & "ALLOWED_MEMBERS ("
strSql = strSql & "MEMBER_ID INT (11) NOT NULL, FORUM_ID smallint (6) NOT NULL , "
strSql = strSql & "PRIMARY KEY (MEMBER_ID, FORUM_ID) )"

my_Conn.Execute strSql
ChkDBInstall()

strSql = "CREATE TABLE " & strTablePrefix & "SUBSCRIPTIONS ("

strSql = strSql & "SUBSCRIPTION_ID INT (11) NOT NULL auto_increment, MEMBER_ID INT NOT NULL, "
strSql = strSql & "CAT_ID INT NOT NULL, TOPIC_ID INT NOT NULL, FORUM_ID INT NOT NULL, "
strSql = strSql & "KEY " & strTablePrefix & "SUBSCRIPTIONS_SUB_ID(SUBSCRIPTION_ID)) "


my_Conn.Execute strSql
ChkDBInstall()

strSql = "CREATE TABLE " & strTablePrefix & "A_TOPICS ( "
strSql = strSql & "CAT_ID int (11) DEFAULT '1' NOT NULL , "
strSql = strSql & "FORUM_ID int (11) DEFAULT '1' NOT NULL , "
strSql = strSql & "TOPIC_ID int (11) DEFAULT '' NOT NULL auto_increment, "
strSql = strSql & "T_STATUS smallint (6) DEFAULT '1' , "
strSql = strSql & "T_MAIL smallint (6) DEFAULT '0' , "
strSql = strSql & "T_SUBJECT VARCHAR (100) DEFAULT '' , "
strSql = strSql & "T_MESSAGE text , "
strSql = strSql & "T_AUTHOR int (11) DEFAULT '1' , "
strSql = strSql & "T_REPLIES int (11) DEFAULT '0' , "
strSql = strSql & "T_VIEW_COUNT int (11) DEFAULT '0' , "
strSql = strSql & "T_LAST_POST VARCHAR (50) DEFAULT '' , "
strSql = strSql & "T_DATE VARCHAR (50) DEFAULT '', "
strSql = strSql & "T_LAST_POSTER int (11) DEFAULT '1', "
strSql = strSql & "T_IP VARCHAR (50) DEFAULT '000.000.000.000', " 
strSql = strSql & "T_LAST_POST_AUTHOR int (11) DEFAULT '1',   "
strSql = strSql & "PRIMARY KEY (CAT_ID, FORUM_ID, TOPIC_ID), "
strSql = strSql & "KEY " & strTablePrefix & "A_TOPIC_CATFORTOP(CAT_ID,FORUM_ID,TOPIC_ID), "
strSql = strSql & "KEY " & strTablePrefix & "A_TOPIC_CAT_ID(CAT_ID), "
strSql = strSql & "KEY " & strTablePrefix & "A_TOPIC_FORUM_ID(FORUM_ID), "
strSql = strSql & "KEY " & strTablePrefix & "A_TOPIC_TOPIC_ID (TOPIC_ID) )"

my_Conn.Execute strSql
ChkDBInstall()

strSql = "CREATE TABLE " & strTablePrefix & "A_REPLY ( "
strSql = strSql & "CAT_ID int (11) DEFAULT '1' NOT NULL , "
strSql = strSql & "FORUM_ID int (11) DEFAULT '1' NOT NULL , "
strSql = strSql & "TOPIC_ID int (11) DEFAULT '1' NOT NULL , "
strSql = strSql & "REPLY_ID int (11) DEFAULT '' NOT NULL auto_increment, "
strSql = strSql & "R_STATUS smallint (6) DEFAULT '1' , "
strSql = strSql & "R_MAIL smallint (6) DEFAULT '0' , "
strSql = strSql & "R_AUTHOR int (11) DEFAULT '1' , "
strSql = strSql & "R_MESSAGE text , "
strSql = strSql & "R_DATE VARCHAR (50) DEFAULT '' , "
strSql = strSql & "R_IP VARCHAR (50) DEFAULT '000.000.000.000', "
strSql = strSql & "PRIMARY KEY (CAT_ID, FORUM_ID, TOPIC_ID, REPLY_ID), "
strSql = strSql & "KEY " & strTablePrefix & "A_REPLY_CATFORTOPREPL(CAT_ID,FORUM_ID,TOPIC_ID, REPLY_ID), "
strSql = strSql & "KEY " & strTablePrefix & "A_REPLY_REP_ID(REPLY_ID), "
strSql = strSql & "KEY " & strTablePrefix & "A_REPLY_CAT_ID(CAT_ID), "
strSql = strSql & "KEY " & strTablePrefix & "A_REPLY_FORUM_ID(FORUM_ID), "
strSql = strSql & "KEY " & strTablePrefix & "A_REPLY_TOPIC_ID (TOPIC_ID) )"

my_Conn.Execute strSql
ChkDBInstall()

my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('" & strNewVersion & "' , 'STRVERSION')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('Snitz forums 2000' , 'STRFORUMTITLE')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('&copy; 2000-01 Snitz Communications' , 'STRCOPYRIGHT')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('logo_snitz_forums_2000.gif' , 'STRTITLEIMAGE')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('../' , 'STRHOMEURL')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "FORUM_CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('http://foruum.snitz.com/forum/' , 'STRFORUMURL')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('db' , 'STRAUTHTYPE')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('1' , 'STRSETCOOKIETOFORUM')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('0' , 'STREMAIL')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('1' , 'STRUNIQUEEMAIL')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('cdonts' , 'STRMAILMODE')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES ('your.mailserver.com' , 'STRMAILSERVER')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('your.email@yourserver.com' , 'STRSENDER')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('mdy' , 'STRDATETYPE')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('24' , 'STRTIMETYPE')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('0' , 'STRTIMEADJUSTLOCATION')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('0' , 'STRTIMEADJUST')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('1' , 'STRMOVETOPICMODE')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('0' , 'STRPRIVATEFORUMS')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('1' , 'STRSHOWMODERATORS')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('0' , 'STRSHOWRANK')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('0' , 'STRHIDEEMAIL')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('1' , 'STRIPLOGGING')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('1' , 'STRALLOWFORUMCODE')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('0' , 'STRIMGINPOSTS')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('0' , 'STRALLOWHTML')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('1' , 'STRSECUREADMIN')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('0' , 'STRNOCOOKIES')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('1' , 'STREDITEDBYDATE')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('1' , 'STRHOTTOPIC')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('20' , 'INTHOTTOPICNUM')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('1' , 'STRHOMEPAGE')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('1' , 'STRAIM')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('1' , 'STRYAHOO')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('1' , 'STRICQ')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('1' , 'STRICONS')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('1' , 'STRGFXBUTTONS')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('1' , 'STRBADWORDFILTER')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('fuck|wank|shit|pussy|cunt' , 'STRBADWORDS')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('Verdana, Arial, Helvetica' , 'STRDEFAULTFONTFACE')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('2' , 'STRDEFAULTFONTSIZE')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('4' , 'STRHEADERFONTSIZE')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('1' , 'STRFOOTERFONTSIZE')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('white' , 'STRPAGEBGCOLOR')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('midnightblue' , 'STRDEFAULTFONTCOLOR')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('darkblue' , 'STRLINKCOLOR')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('underline' , 'STRLINKTEXTDECORATION')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('blue' , 'STRVISITEDLINKCOLOR')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('underline' , 'STRVISITEDTEXTDECORATION')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('red' , 'STRACTIVELINKCOLOR')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('red' , 'STRHOVERFONTCOLOR')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('underline' , 'STRHOVERTEXTDECORATION')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('midnightblue' , 'STRHEADCELLCOLOR')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('mintcream' , 'STRHEADFONTCOLOR')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('slateblue' , 'STRCATEGORYCELLCOLOR')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('mintcream' , 'STRCATEGORYFONTCOLOR')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('whitesmoke' , 'STRFORUMFIRSTCELLCOLOR')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('whitesmoke' , 'STRFORUMCELLCOLOR')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('gainsboro' , 'STRALTFORUMCELLCOLOR')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('midnightblue' , 'STRFORUMFONTCOLOR')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('darkblue' , 'STRFORUMLINKCOLOR')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('black' , 'STRTABLEBORDERCOLOR')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('lightsteelblue' , 'STRPOPUPTABLECOLOR')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('black' , 'STRPOPUPBORDERCOLOR')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('blue' , 'STRNEWFONTCOLOR')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('100' , 'STRTOPICWIDTHLEFT')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('100%' , 'STRTOPICWIDTHRIGHT')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('1' , 'STRTOPICNOWRAPLEFT')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('0' , 'STRTOPICNOWRAPRIGHT')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('Administrator' , 'STRRANKADMIN')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('Moderator' , 'STRRANKMOD')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('Starting Member' , 'STRRANKLEVEL0')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('New Member' , 'STRRANKLEVEL1')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('Junior Member' , 'STRRANKLEVEL2')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('Average Member' , 'STRRANKLEVEL3')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('Senior Member' , 'STRRANKLEVEL4')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('Advanced Member' , 'STRRANKLEVEL5')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('gold' , 'STRRANKCOLORADMIN')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('silver' , 'STRRANKCOLORMOD')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('bronze' , 'STRRANKCOLOR0')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('bronze' , 'STRRANKCOLOR1')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('bronze' , 'STRRANKCOLOR2')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('bronze' , 'STRRANKCOLOR3')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('bronze' , 'STRRANKCOLOR4')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('bronze' , 'STRRANKCOLOR5')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('0' , 'INTRANKLEVEL0')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('50' , 'INTRANKLEVEL1')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('100' , 'INTRANKLEVEL2')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('500' , 'INTRANKLEVEL3')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('1000' , 'INTRANKLEVEL4')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('2000' , 'INTRANKLEVEL5')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('1' , 'STRSIGNATURES')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('1' , 'STRSHOWSTATISTICS')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('1' , 'STRSHOWIMAGEPOWEREDBY')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('1' , 'STRLOGONFORMAIL')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('1' , 'STRSHOWPAGING')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('1' , 'STRSHOWTOPICNAV')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('15' , 'STRPAGESIZE')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('10' , 'STRPAGENUMBERSIZE')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('1' , 'STRFULLNAME')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('0' , 'STRPICTURE')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('0' , 'STRSEX')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('0' , 'STRCITY')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('0' , 'STRSTATE')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('0' , 'STRAGE')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('1' , 'STRCOUNTRY')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('0' , 'STROCCUPATION')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('1' , 'STRHOMEPAGE')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('1' , 'STRFAVLINKS')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('0' , 'STRBIO')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('0' , 'STRHOBBIES')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('0' , 'STRLNEWS')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('0', 'STRQUOTE')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('0' , 'STRMARSTATUS')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('1' , 'STRRECENTTOPICS')")
my_Conn.execute ("INSERT INTO " & strTablePrefix & "CONFIG_NEW(C_VALUE,C_VARIABLE) VALUES('1' , 'STRMOVENOTIFY')")


strSql = "INSERT INTO " & strTablePrefix & "CATEGORY(CAT_STATUS, CAT_NAME) VALUES(1, 'Snitz Forums 2000')"

my_Conn.Execute strSql
ChkDBInstall()

strSql = "INSERT INTO " & strMemberTablePrefix & "MEMBERS (M_STATUS, M_NAME, M_USERNAME, M_PASSWORD, M_EMAIL, M_COUNTRY, "
strSql = strSql & "M_HOMEPAGE, M_SIG, M_DEFAULT_VIEW, M_LEVEL, M_AIM, M_YAHOO, M_ICQ, "
strSql = strSql & "M_POSTS, M_DATE, M_LASTHEREDATE, M_LASTPOSTDATE, M_TITLE, M_SUBSCRIPTION, "
strSql = strSql & "M_HIDE_EMAIL, M_RECEIVE_EMAIL, M_LAST_IP, M_IP) "
strSql = strSql & " VALUES(1, 'Admin', 'Admin', 'admin', 'yourmail@server.com', ' ', ' ', ' ', 1, 3, ' ', ' ', ' ', "
strSql = strSql & " 1, '20010215000000', '20010215000000', '20010215000000', 'Forum Admin', '0', '0', 1, '000.000.000.000', '000.000.000.000')"

my_Conn.Execute strSql
ChkDBInstall()

strSql = "INSERT INTO " & strTablePrefix & "FORUM(CAT_ID, F_STATUS, F_MAIL, F_SUBJECT, F_URL, F_DESCRIPTION, F_TOPICS, F_COUNT, F_LAST_POST, "
strSql = strSql & " F_PASSWORD_NEW, F_USERLIST, F_PRIVATEFORUMS, F_TYPE, F_IP, F_LAST_POST_AUTHOR) "
strSql = strSql & "VALUES(1, 1, '0', 'Testing Forums', '', 'This forum gives you a chance to become more familiar with how this product responds to different features and keeps testing in one place instead of posting tests all over. Happy Posting! <img src=icon_smile.gif border=0 align=middle>', "
strSql = strSql & " 1, 1, '20010215000000', '', '', '0', '0', '000.000.000.000', 1) "

my_Conn.Execute strSql
ChkDBInstall()

strSql = "INSERT INTO " & strTablePrefix & "TOPICS (CAT_ID, FORUM_ID, T_STATUS, T_MAIL, T_SUBJECT, T_MESSAGE, T_AUTHOR, "
strSql = strSql & "T_REPLIES, T_VIEW_COUNT, T_LAST_POST, T_DATE, T_LAST_POSTER, T_IP, T_LAST_POST_AUTHOR, T_ARCHIVE_FLAG) "
strSql = strSql & "VALUES(1, 1, 1, '0', 'Welcome to Snitz Forums 2000', 'Thank you for downloading the Snitz Forums 2000. We hope you enjoy this great tool to support your organization!" & CHR(13) & CHR(10) & CHR(13) & CHR(10) &"Many thanks go out to John Penfold &lt;asp@asp-dev.com&gt; and Tim Teal &lt;tteal@tealnet.com&gt; for the original source code and to all the people of Snitz Forums 2000 at http://forum.snitz.com for continued support of this product.', "
strSql = strSql & "1, '0', '0', '20010215000000', '20010215000000', '0', '000.000.000.000', 1,1)"

my_Conn.Execute strSql
ChkDBInstall()

strSql = "INSERT INTO " & strTablePrefix & "TOTALS (COUNT_ID, P_COUNT, T_COUNT, U_COUNT) "
strSql = strSql & "VALUES(1,1,1,1)"

my_Conn.Execute strSql
ChkDBInstall()

sub ChkDBInstall()

for counter = 0 to my_Conn.Errors.Count -1
	ConnErrorNumber = my_Conn.Errors(counter).Number
	ConnErrorDescription = my_Conn.Errors(counter).Description
	
	if ConnErrorNumber <> 0 then 
		Err_Msg = "<tr><td bgColor=red align=""left"" width=""30%""><font face=""Verdana, Arial, Helvetica"" size=""2""><b>Error: " & ConnErrorNumber & "</b></font></td>"
		Err_Msg = Err_Msg & "<td bgColor=lightsteelblue align=""left""><font face=""Verdana, Arial, Helvetica"" size=""2"">" & ConnErrorDescription & "</font></td></tr>"
		Err_Msg = Err_Msg & "<tr><td bgColor=red align=""left"" width=""30%""><font face=""Verdana, Arial, Helvetica"" size=""2""><b>strSql: </b></font></td>"
		Err_Msg = Err_Msg & "<td bgColor=lightsteelblue align=""left""><font face=""Verdana, Arial, Helvetica"" size=""2"">" & strSql & "</font></td></tr>"	
		
		Response.Write(Err_Msg)
		intCriticalErrors = intCriticalErrors + 1
	end if
next
my_Conn.Errors.Clear 

end sub

%>
